// @flow
// we can't import this from 'routes' because otherwise it's a circular dep
import { AsyncStorage } from 'react-native'
import * as RouteActions from 'routes/actions'
import createConstants from 'utils/createconstants'
import { UserActions } from 'resources/user'
import * as PushNotifications from 'utils/pushnotification'
import SCREENS from 'routes/screens'
import { USERID_KEY } from './config'

export const CONSTANTS = createConstants('APP', {
  START_APP: null
})

export function startApp () {
  return async dispatch => {
    // do stuff
    dispatch({ type: CONSTANTS.START_APP })
    try {
      const userId = await AsyncStorage.getItem(USERID_KEY)
      if (!userId) {
        dispatch(RouteActions.reset('SignedOut', SCREENS.LOGIN))
        return
      }
      dispatch(UserActions.setCurrentUser(userId))
      await dispatch(UserActions.fetchInfo(userId))
      dispatch(RouteActions.reset('SignedIn', SCREENS.PROJECT_LIST))
      dispatch(PushNotifications.register())
    } catch (error) {
      console.log('startApp', error)
      dispatch(RouteActions.reset('SignedOut', SCREENS.LOGIN))
    }
  }
}
