// @flow
import React from 'react'
import PropTypes from 'prop-types'
import { ViewPropTypes } from 'react-native'
import Icon from 'components/Icon'
import Button from './Button'
import COLORS from '../../colors'

IconButton.propTypes = {
  disabled: PropTypes.bool,
  name: PropTypes.string.isRequired,
  size: PropTypes.number.isRequired,
  color: PropTypes.string,
  onPress: PropTypes.func,
  style: ViewPropTypes.style
}

IconButton.defaultProps = {
  name: 'ios-appstore-outline',
  color: COLORS.Primary,
  size: 24
}

export default function IconButton ({
  disabled,
  name,
  size,
  color,
  onPress,
  style
}) {
  return (
    <Button onPress={onPress} style={style} disabled={disabled}>
      <Icon name={name} size={size} color={color} />
    </Button>
  )
}
