import React from 'react'
import Button from '../Button'
import { shallow } from 'enzyme'
import { TouchableOpacity, Text, View } from 'react-native'

function renderHelper (props = {}) {
  return shallow(
    <Button
      children=''
      disabled={false}
      style={{ marginTop: 20 }}
      onPress={jest.fn()}
      textStyle={{ backgroundColor: 'white' }}
      {...props}
    />
  )
}

describe('Button Component', () => {
  it('does not change by accident', () => {
    expect(renderHelper()).toMatchSnapshot()
  })
  it('renders text in button', () => {
    const node = renderHelper({ children: 'test' })
    expect(node.find(Text)).toHaveLength(1)
  })

  it('passes onPress thru', () => {
    const onPress = jest.fn()
    const node = renderHelper({ onPress })
    expect(node.find(TouchableOpacity).prop('onPress')).toBe(onPress)
  })

  it('renders a component in button', () => {
    const node = renderHelper({
      children: <View>test</View>
    })
    expect(node.find(View)).toHaveLength(1)
  })
})
