// @flow
import React from 'react'
import PropTypes from 'prop-types'
import { View, Text } from 'react-native'
import Icon from 'components/Icon'
import { SolidButton } from 'components/Button'
import StyleSheet from 'react-native-extended-stylesheet'
import COLORS from '../../colors'

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '$White',
    justifyContent: 'center',
    alignItems: 'center'
  },
  button: {
    marginTop: 40,
    width: '80%',
    height: 40,
    borderRadius: 20,
    paddingLeft: 20,
    paddingRight: 20
  },
  text: {
    marginTop: 10,
    marginBottom: 10,
    fontSize: 16,
    color: '$LightText'
  }
})

EmptyResource.propTypes = {
  buttonLabel: PropTypes.string,
  label: PropTypes.string.isRequired,
  icon: PropTypes.string.isRequired,
  onCreate: PropTypes.func
}

export default function EmptyResource ({ buttonLabel, label, icon, onCreate }) {
  return (
    <View style={styles.container}>
      <Icon name={icon} size={100} color={COLORS.LightText} />
      <Text style={styles.text}>{label}</Text>
      {buttonLabel && (
        <SolidButton onPress={onCreate} style={styles.button}>
          {buttonLabel}
        </SolidButton>
      )}
    </View>
  )
}
