import React from 'react'
import ErrorMessage from '../ErrorMessage'
import { shallow } from 'enzyme'
import { Text } from 'react-native'

function renderHelper (props = {}) {
  return shallow(<ErrorMessage message='' {...props} />)
}

describe('ErrorMessage Component', () => {
  it('does not change by accident', () => {
    expect(renderHelper()).toMatchSnapshot()
  })
  it('renders error message', () => {
    const node = renderHelper({ message: 'Opps! Something went wrong.' })
    expect(node.find(Text)).toHaveLength(1)
    const textStrings = node
      .find(Text)
      .children()
      .map(node => node.text())
    expect(textStrings).toEqual(['Opps! Something went wrong.'])
  })

  it('renders null when message is false', () => {
    const node = renderHelper()
    expect(node.find(Text)).toHaveLength(0)
  })
})
