// @flow
import React, { Component } from 'react'
import { TextInput } from 'react-native'

function clamp (height) {
  return height < 35 ? 35 : height
}

export default class ExpandableTextInput extends Component {
  constructor (props) {
    super(props)
    this.state = {
      height: 35
    }
  }

  updateSize = height => {
    this.setState({
      height
    })
  }

  clear () {
    this._textInput.clear()
  }

  render () {
    const { height } = this.state
    const { style, onChangeText, setHeight, value, ...props } = this.props
    let newStyle = {
      height: height < 18 ? 18 : height
    }

    return (
      <TextInput
        onChangeText={onChangeText}
        style={[style, newStyle]}
        editable
        multiline
        value={value}
        onContentSizeChange={e => {
          this.updateSize(clamp(e.nativeEvent.contentSize.height))
          setHeight(clamp(e.nativeEvent.contentSize.height))
        }}
        {...props}
        ref={ref => (this._textInput = ref)}
      />
    )
  }
}
