import React from 'react'
import GroupBadge from '../GroupBadge'
import UserBadge from 'components/UserBadge'
import { shallow } from 'enzyme'

function renderHelper (props = {}) {
  return shallow(
    <GroupBadge names={['foo', 'bar', 'baz']} size={24} {...props} />
  )
}

describe('GroupBadge Component', () => {
  it('does not change by accident', () => {
    expect(renderHelper({ names: ['Daniele'] })).toMatchSnapshot()
    expect(renderHelper({ names: ['Daniele', 'Alex'] })).toMatchSnapshot()
    expect(
      renderHelper({ names: ['Daniele', 'Alex', 'Adam'] })
    ).toMatchSnapshot()
  })
  it('should render the expected number of badge for the number of users', () => {
    const badges = [
      { names: ['a'], expected: 1 },
      { names: ['a', 'b'], expected: 2 },
      { names: ['a', 'b', 'c'], expected: 3 },
      { names: ['a', 'b', 'c', 'd'], expected: 3 },
      { names: ['a', 'b', 'c', 'd', 'e'], expected: 3 }
    ]
    badges.forEach(({ names, expected }) => {
      const node = renderHelper({ names, expected })
      expect(node.find(UserBadge)).toHaveLength(expected)
    })
  })
})
