// @flow
import React from 'react'
import PropTypes from 'prop-types'
import { View, ViewPropTypes } from 'react-native'
import { Bubbles } from 'react-native-loader'
import COLORS from '../../colors'

Loader.propTypes = {
  size: PropTypes.number.isRequired,
  color: PropTypes.string.isRequired,
  style: ViewPropTypes.style
}

Loader.defaultProps = {
  size: 10,
  color: COLORS.Secondary
}

export default function Loader ({ size, color, style }) {
  return (
    <View style={style}>
      <Bubbles size={size} color={color} />
    </View>
  )
}
