// @flow
import React from 'react'
import Loader from './Loader'
import PropTypes from 'prop-types'

LoaderView.propTypes = {
  children: PropTypes.node.isRequired,
  isLoading: PropTypes.bool.isRequired
}

export default function LoaderView ({ children, isLoading, ...props }) {
  if (isLoading) {
    return <Loader size={20} {...props} />
  }
  return children
}
