import React from 'react'
import LoaderView from '../LoaderView'
import Loader from '../Loader'
import { shallow } from 'enzyme'
import { Text } from 'react-native'

function renderHelper (props = {}) {
  return shallow(
    <LoaderView children={<Text>"Not Loading"</Text>} isLoading {...props} />
  )
}

describe('LoaderView Component', () => {
  it('does not change by accident', () => {
    expect(renderHelper()).toMatchSnapshot()
  })

  it('renders loader component', () => {
    const node = renderHelper({ isLoading: true })
    expect(node.find(Loader)).toHaveLength(1)
  })

  it('renders children when not loading', () => {
    const node = renderHelper({ isLoading: false })
    expect(node.find(Loader)).toHaveLength(0)
    expect(node.find(Text)).toHaveLength(1)
  })
})
