// @flow
import React from 'react'
import PropTypes from 'prop-types'
import { ViewPropTypes } from 'react-native'
import StyleSheet from 'react-native-extended-stylesheet'
import Button from 'components/Button'
import Icon from 'components/Icon'

const styles = StyleSheet.create({
  text: {
    color: '$PrimaryContrast',
    fontSize: 12
  },
  icon: {
    alignSelf: 'center',
    marginLeft: 10,
    marginRight: 10
  }
})

NavbarButton.propTypes = {
  children: PropTypes.string,
  name: PropTypes.string,
  size: PropTypes.number,
  color: PropTypes.string,
  style: ViewPropTypes.style,
  onPress: PropTypes.func
}

NavbarButton.defaultProps = {
  name: 'ios-menu',
  size: 30,
  color: 'white'
}

export default function NavbarButton ({
  children,
  color,
  name,
  onPress,
  size,
  style
}) {
  const content = children || <Icon name={name} size={size} color={color} />
  return (
    <Button
      onPress={onPress}
      style={[styles.icon, style]}
      textStyle={styles.text}
    >
      {content}
    </Button>
  )
}
