// @flow
import React from 'react'
import PropTypes from 'prop-types'
import { TouchableOpacity, Text } from 'react-native'
import Icon from 'components/Icon'
import StyleSheet from 'react-native-extended-stylesheet'
import COLORS from '../../colors'

const styles = StyleSheet.create({
  container: {
    height: 75,
    width: 75,
    backgroundColor: '$Red',
    justifyContent: 'center',
    alignItems: 'center'
  },
  text: {
    fontSize: 13,
    color: '$White'
  }
})

ResourceDelete.propTypes = {
  onDelete: PropTypes.func.isRequired,
  id: PropTypes.string.isRequired
}

export default function ResourceDelete ({ onDelete, id }) {
  return (
    <TouchableOpacity style={styles.container} onPress={() => onDelete(id)}>
      <Icon name='ios-trash-outline' size={32} color={COLORS.White} />
      <Text style={styles.text}>Delete</Text>
    </TouchableOpacity>
  )
}
