// @flow
import React from 'react'
import { ViewPropTypes } from 'react-native'
import Search from 'vendor/react-native-search-box'
import StyleSheet from 'react-native-extended-stylesheet'
import COLORS from '../../colors'

const styles = StyleSheet.create({
  inputStyle: {
    backgroundColor: '$DarkBackground'
  },
  container: {
    backgroundColor: '$LightBackground',
    borderWidth: 1,
    borderLeftColor: '$LightBackground',
    borderRightColor: '$LightBackground',
    borderBottomColor: '$LightText'
  }
})

WrappedSearch.propTypes = {
  inputStyle: ViewPropTypes.style,
  style: ViewPropTypes.style
}

export default function WrappedSearch ({ inputStyle, style, ...props }) {
  return (
    <Search
      style={[styles.container, style]}
      backgroundColor={COLORS.LightBackground}
      titleCancelColor={COLORS.DarkText}
      tintColorSearch={COLORS.DarkText}
      tintColorDelete={COLORS.DarkText}
      placeholderTextColor={COLORS.DarkText}
      inputStyle={[styles.inputStyle, inputStyle]}
      {...props}
    />
  )
}
