import React from 'react'
import TimeFormatter, { TIME_FORMATTERS } from '../TimeFormatter'
import { Text } from 'react-native'
import { shallow } from 'enzyme'

describe('TimeFormatter', () => {
  describe('fomatters', () => {
    const date = new Date(2018, 1, 14, 15, 16, 22)
    it('formats as expectd', () => {
      const minsAgo = new Date(new Date().getTime() - 10 * 60000)
      expect(TIME_FORMATTERS.AGO(minsAgo)).toBe('10 minutes ago')
      expect(TIME_FORMATTERS.FORMATTED_TIME(date)).toBe('03:16 PM')
      expect(TIME_FORMATTERS.FORMATTED_MINUTES(date)).toBe('421839272:46:40')
      expect(TIME_FORMATTERS.FORMATTED_DAY(date)).toBe(
        'Wednesday Feb 14th, 2018'
      )
      expect(TIME_FORMATTERS.FORMATTED_COMPLETE(date)).toBe('02/14/2018')
      expect(TIME_FORMATTERS.FORMATTED_COMPLETE_TIME(date)).toBe(
        '02/14/2018 03:16 PM'
      )
    })
  })

  it('renders a text with formatted date', () => {
    const date = new Date(2017, 1, 14, 15, 16, 22)
    const node = shallow(
      <TimeFormatter date={date} format={TIME_FORMATTERS.FORMATTED_DAY} />
    )
    expect(node.find(Text).exists()).toBeTruthy()
    expect(node.find(Text).prop('children')).toBe('Tuesday Feb 14th, 2017')
  })
})
