// @flow
import React from 'React'
import PropTypes from 'prop-types'
import { View, Text } from 'react-native'
import StyleSheet from 'react-native-extended-stylesheet'
import Button from 'components/Button'
import Icon from 'components/Icon'

const styles = StyleSheet.create({
  wrapper: {
    borderRadius: 3,
    backgroundColor: '#4285f4',
    marginRight: 3,
    marginTop: 3,
    marginBottom: 3,
    overflow: 'hidden',
    position: 'relative',
    flexDirection: 'row',
    alignContent: 'center',
    height: 25
  },
  value: {
    marginTop: 3,
    paddingRight: 7,
    paddingLeft: 7,
    color: '#ffffff',
    fontSize: 13
  },
  button: {
    paddingRight: 6,
    paddingLeft: 6,
    top: 0,
    right: 0,
    bottom: 0,
    borderLeftWidth: 1,
    borderColor: '#ffffff'
  }
})

Token.propTypes = {
  remove: PropTypes.func.isRequired,
  index: PropTypes.number,
  value: PropTypes.string.isRequired
}

export default function Token ({ index, remove, value }) {
  return (
    <View style={styles.wrapper}>
      <Text style={styles.value}>{value}</Text>
      <Button style={styles.button} onPress={() => remove(index)}>
        <Icon size={24} name='ios-close' color='#ffffff' />
      </Button>
    </View>
  )
}
