import React from 'react'
import UserBadge from '../UserBadge'
import { Text } from 'react-native'
import { shallow } from 'enzyme'

function renderHelper (props = {}) {
  return shallow(<UserBadge name='Daniele Zannotti' {...props} />)
}

describe('UserBadge', () => {
  it('does not change by accident', () => {
    expect(renderHelper()).toMatchSnapshot()
  })
  it('does render the user initials', () => {
    const nodeOne = renderHelper({ name: 'Daniele Zannotti' })
    const nodeTwo = renderHelper({ name: 'Alex Vinas' })
    const nodeThree = renderHelper({ name: 'Ronald Mc Donald' })
    const getText = node => node.find(Text).prop('children')
    expect(getText(nodeOne)).toBe('DZ')
    expect(getText(nodeTwo)).toBe('AV')
    expect(getText(nodeThree)).toBe('RD')
  })
})
