// @flow
import { combineReducers } from 'redux'
import { ResourcesReducer as resources } from 'resources'
import { LoginReducer as login } from 'screens/Login'
import { InboxReducer as inbox } from 'screens/Inbox'
import { ProjectListReducer as projectlist } from 'screens/ProjectList'
import { ProjectImageReducer as projectimage } from 'screens/ProjectImage'
import { ProjectAudioReducer as projectaudio } from 'screens/ProjectAudio'
import { ProjectFileReducer as projectfile } from 'screens/ProjectFile'
import { ProjectInfoReducer as projectinfo } from 'screens/ProjectInfo'
import { VerifypinReducer as verifypin } from 'screens/Verifypin'
import { ConversationReducer as conversation } from 'screens/Conversation'
import { SupportReducer as support } from 'screens/Support'
import { CreateConversationReducer as createconversation } from 'screens/CreateConversation'
import { SelectTradeReducer as selectTrade } from 'screens/SelectTrade'
import { SelectProjectReducer as selectProject } from 'screens/SelectProject'
import { AddToConversationReducer as addtoconversation } from 'screens/AddToConversation'
import { AddContactReducer as addcontact } from 'screens/AddContact'
import { AddManualContactReducer as addmanualcontact } from 'screens/AddManualContact'
import { AddAddressBookContactReducer as addaddressbookcontact } from 'screens/AddAddressBookContact'
import { ProjectCreateReducer as projectcreate } from 'screens/ProjectCreate'
import { ProjectEditReducer as projectedit } from 'screens/ProjectEdit'
import { reducer as modal } from 'components/Modal/module'
import { ProfileReducer as profile } from 'screens/Profile'

export default function createReducer (navReducer) {
  return combineReducers({
    nav: navReducer,
    resources,
    modal,
    screens: combineReducers({
      inbox,
      conversation,
      login,
      projectcreate,
      projectedit,
      projectlist,
      projectinfo,
      projectimage,
      projectaudio,
      projectfile,
      profile,
      verifypin,
      support,
      addtoconversation,
      createconversation,
      selectTrade,
      selectProject,
      addcontact,
      addmanualcontact,
      addaddressbookcontact
    })
  })
}
