// @flow
import { List } from 'immutable'
import { createSelector } from 'reselect'
import { createResourceSelector } from 'resources/utils'

export const addressbook = createResourceSelector('addressbook')
const addressBookPrivate = createResourceSelector(['_addressbook'])

export const addressBookList = createSelector(
  [addressBookPrivate],
  addressBookPrivate => addressBookPrivate.get('_list', List())
)

export const hasLoaded = createSelector(
  [addressBookPrivate],
  addressBookPrivate => addressBookPrivate.get('hasLoaded', false)
)
