// @flow
import BidSchema from './schema'
import {
  createEntitiesToMap,
  createPatchedEntitiesToMap
} from 'resources/utils'

export function entityToRecord ({
  id,
  userId,
  estimateId,
  projectId,
  projectTaskId,
  ...bid
}) {
  return new BidSchema({
    id: id.toString(),
    user: userId && userId.toString(),
    estimate: estimateId && estimateId.toString(),
    project: projectId && projectId.toString(),
    projectTask: projectTaskId && projectTaskId.toString(),
    ...bid
  })
}

export const entitiesToMap = createEntitiesToMap('bids', entityToRecord)
export const partialEntitiesToMap = createPatchedEntitiesToMap(
  'bids',
  entityToRecord
)

export default {}
