// @flow
import ContactSchema from './schema'
import {
  createEntitiesToMap,
  createPatchedEntitiesToMap
} from 'resources/utils'
import CONSTANTS from './constants'
import { fromJS } from 'immutable'
import { normalize } from 'normalizr'
import schema from 'resources/schema'

export function entityToRecord ({ deleted, cell, phone, ...contact }) {
  return new ContactSchema({
    deleted: Boolean(deleted),
    phone: phone || cell,
    ...contact
  })
}

export const entitiesToMap = createEntitiesToMap('contacts', entityToRecord)
export const partialEntitiesToMap = createPatchedEntitiesToMap(
  'contacts',
  entityToRecord
)

export default {
  [CONSTANTS.FETCH_RECENT_LIST]: (state, { payload }) => {
    const { result, entities } = normalize(payload, [schema.contact])
    const contacts = entitiesToMap(entities, result)
    const _contacts = state
      .get('_contacts')
      .set('recent', fromJS(result))
      .set('hasRecentLoaded', true)
    return state.merge({
      contacts,
      _contacts
    })
  }
}
