// @flow
import { List } from 'immutable'
import { createSelector } from 'reselect'
import { createResourceSelector } from 'resources/utils'

export const contacts = createResourceSelector('contacts')
const contactsPrivate = createResourceSelector(['_contacts'])

export const contactsList = createSelector([contactsPrivate], contactsPrivate =>
  contactsPrivate.get('list', List())
)

export const recentContactsList = createSelector(
  [contactsPrivate],
  contactsPrivate => contactsPrivate.get('recent', List())
)

export const hasRecentContactsListLoaded = createSelector(
  [contactsPrivate],
  contactsPrivate => contactsPrivate.get('hasRecentLoaded', false)
)
