// @flow
import { get, post } from 'utils/http'

export function fetchMessages ({ conversationId, userId }) {
  return get(`/message/conversation/${conversationId}/${userId}`)
}

export function fetchConversationInfo ({ conversationId }) {
  return get(`/get/conversation/${conversationId}`)
}

export function createConversation ({ userId, projectId }) {
  return post(`/message/project/contact`, { userId, projectId })
}

export function sendMessage ({
  conversationId,
  message,
  sendingFrom,
  userId,
  type,
  mediaUrl
}) {
  return post('/message/send', {
    conversationId,
    message,
    sendingFrom,
    userId,
    type,
    mediaUrl
  })
}

export function createConversationWith ({
  projectId,
  sendingFrom,
  message,
  partecipants
}) {
  return post('/add/person/conversation', {
    projectId,
    userId: sendingFrom,
    userOneId: sendingFrom,
    userTwoId: partecipants[0],
    userThreeId: partecipants[1],
    userFourId: partecipants[2],
    userFiveId: partecipants[3],
    userSixId: partecipants[4],
    sendingFrom,
    message,
    messageData: message
  })
}

export function createSubConversation ({ projectId, userId, subUserId }) {
  return post('/message/project/sub', {
    projectId,
    userId,
    subUserId
  })
}

export function addToConversation ({
  conversationId,
  userId,
  conversationUserId
}) {
  return post('/add/person/conversation', {
    conversationId,
    userId,
    conversationUserId
  })
}
