// @flow
import { createSelector } from 'reselect'
import { createResourceSelector } from 'resources/utils'

export const conversations = createResourceSelector('conversations')
const conversationsPrivate = createResourceSelector('_conversations')

export function hasLoaded (conversationId) {
  return createSelector(
    [conversationsPrivate, conversationId],
    (conversationsPrivate, conversationId) =>
      conversationsPrivate.getIn(['hasLoaded', conversationId], false)
  )
}

export function getConversation (conversationId) {
  return createSelector(
    [conversations, conversationId],
    (conversations, conversationId) => conversations.get(conversationId)
  )
}
