// @flow
import { List } from 'immutable'
import { createSelector } from 'reselect'
import { createResourceSelector } from 'resources/utils'

export const inbox = createResourceSelector('inbox')
const inboxPrivate = createResourceSelector(['_inbox'])

export const nextPage = createSelector([inboxPrivate], inboxPrivate =>
  inboxPrivate.get('nextPage')
)

export const previousPage = createSelector([inboxPrivate], inboxPrivate =>
  inboxPrivate.get('previousPage')
)

export const count = createSelector([inboxPrivate], inboxPrivate =>
  inboxPrivate.get('count')
)

export const isListLoading = createSelector([inboxPrivate], inboxPrivate =>
  inboxPrivate.get('isListLoading')
)

export const inboxList = createSelector([inboxPrivate], inboxPrivate =>
  inboxPrivate.get('_list', List())
)

export function getConversation (conversationId) {
  return createSelector([inbox], inbox =>
    inbox.find(inbox => inbox.get('conversation') === conversationId)
  )
}
