// @flow
import { get, post } from 'utils/http'

export function fetchList ({ userId }) {
  return get(`/projects/${userId}`)
}

export function fetchInfo ({ projectId, userId }) {
  return get(`/get/project/${projectId}/${userId}`)
}

export function createProject ({
  userId,
  name,
  lat,
  long,
  email,
  phoneNumber,
  location,
  projectId,
  contacts
}) {
  return post(`/project/save`, {
    userId,
    lat,
    long,
    email,
    name,
    phoneNumber,
    id: projectId,
    projectId,
    location
  })
}

export function broadcastMessage ({ userId, projectId, message }) {
  return post(`/message/project/global`, { projectId, userId, message })
}
