// @flow
import { List } from 'immutable'
import { createSelector } from 'reselect'
import { createResourceSelector } from 'resources/utils'

export const projects = createResourceSelector('projects')
const projectsPrivate = createResourceSelector(['_projects'])

export const projectsList = createSelector([projectsPrivate], projectsPrivate =>
  projectsPrivate.get('_list', List())
)

export const hasListLoaded = createSelector(
  [projectsPrivate],
  projectsPrivate => projectsPrivate.get('hasListLoaded')
)

export function hasProjectLoaded (projectId) {
  return createSelector(
    [projectsPrivate, projectId],
    (projectsPrivate, projectId) =>
      projectsPrivate.getIn(['hasLoaded', projectId], false)
  )
}

export function getProject (projectId) {
  return createSelector([projects, projectId], (projects, projectId) =>
    projects.get(projectId)
  )
}
