// @flow
import { get, post } from 'utils/http'
import humps from 'humps'
import { upload } from 'utils/upload'
import { API_URL } from '../../config'

export function fetchAudio ({ projectId, userId }) {
  return get(`/project/audio/${projectId}`)
}

export function destroyAudio ({ files }) {
  return post(`/project/delete/files`, { files })
}

export function uploadAudio ({ projectId, filename, filepath }) {
  const data = humps.decamelizeKeys({
    id: projectId,
    filename
  })
  const file = [{ name: filename, filename, filepath }]
  return upload(`${API_URL}/media/upload_audio`, data, file)
}
