// @flow
import { List } from 'immutable'
import { createSelector } from 'reselect'
import { createResourceSelector } from 'resources/utils'

export const projectAudio = createResourceSelector('projectaudio')
const projectAudioPrivate = createResourceSelector(['_projectaudio'])

export function hasProjectAudioLoaded (projectId) {
  return createSelector(
    [projectAudioPrivate, projectId],
    (projectAudioPrivate, projectId) =>
      projectAudioPrivate.getIn(['hasLoaded', projectId], false)
  )
}

export function projectAudioList (projectId) {
  return createSelector(
    [projectAudioPrivate, projectId],
    (projectAudioPrivate, projectId) =>
      projectAudioPrivate.getIn(['project', projectId], List())
  )
}
