// @flow
import { get, post } from 'utils/http'
import humps from 'humps'
import { upload } from 'utils/upload'
import { API_URL } from '../../config'

export function fetchFiles ({ projectId, userId }) {
  return get(`/project/files/${projectId}`)
}

export function destroyFiles ({ images }) {
  return post(`/project/delete/files`, { files: images })
}

export function uploadFile ({ projectId, filename, filepath }) {
  const data = humps.decamelizeKeys({
    id: projectId,
    filename
  })
  const file = [{ filename, filepath }]
  return upload(`${API_URL}/media/upload_files`, data, file)
}
