// @flow
import { List } from 'immutable'
import { createSelector } from 'reselect'
import { createResourceSelector } from 'resources/utils'

export const projectFile = createResourceSelector('projectfile')
const projectFilePrivate = createResourceSelector(['_projectfile'])

export function hasProjectFileLoaded (projectId) {
  return createSelector(
    [projectFilePrivate, projectId],
    (projectFilePrivate, projectId) =>
      projectFilePrivate.getIn(['hasLoaded', projectId], false)
  )
}

export function projectFileList (projectId) {
  return createSelector(
    [projectFilePrivate, projectId],
    (projectFilePrivate, projectId) =>
      projectFilePrivate.getIn(['project', projectId], List())
  )
}
