// @flow
import { get, post } from 'utils/http'
import humps from 'humps'
import { upload } from 'utils/upload'
import { API_URL } from '../../config'

export function fetchImages ({ projectId, userId }) {
  return get(`/project/images/${projectId}`)
}

export function destroyImages ({ images }) {
  return post(`/project/delete/images`, { images })
}

export function uploadImage ({ projectId, filename, filepath }) {
  const data = humps.decamelizeKeys({
    id: projectId,
    filename
  })
  const file = [{ name: filename, filename, filepath }]
  return upload(`${API_URL}/media/upload_image`, data, file)
}
