// @flow
import { List } from 'immutable'
import { createSelector } from 'reselect'
import { createResourceSelector } from 'resources/utils'

export const projectImage = createResourceSelector('projectimage')
const projectImagePrivate = createResourceSelector(['_projectimage'])

export function hasProjectImageLoaded (projectId) {
  return createSelector(
    [projectImagePrivate, projectId],
    (projectImagePrivate, projectId) =>
      projectImagePrivate.getIn(['hasLoaded', projectId], false)
  )
}

export function projectImageList (projectId) {
  return createSelector(
    [projectImagePrivate, projectId],
    (projectImagePrivate, projectId) =>
      projectImagePrivate.getIn(['project', projectId], List())
  )
}
