// @flow
import { Record, Map, List } from 'immutable'
import createReducer from 'utils/createreducer'
import user from 'resources/user/reducers'
import contact from 'resources/contact/reducers'
import project from 'resources/project/reducers'
import task from 'resources/task/reducers'
import sub from 'resources/sub/reducers'
import bid from 'resources/bid/reducers'
import inbox from 'resources/inbox/reducers'
import conversation from 'resources/conversation/reducers'
import addressbook from 'resources/addressbook/reducers'
import projectimage from 'resources/projectimage/reducers'
import projectaudio from 'resources/projectaudio/reducers'
import projectfile from 'resources/projectfile/reducers'

export const ResourcesState = Record({
  users: Map(),
  _users: Map({
    current: null,
    deviceToken: null
  }),
  projects: Map(),
  _projects: Map({
    list: List(),
    hasListLoaded: false,
    hasLoaded: Map()
  }),
  contacts: Map(),
  _contacts: Map({
    recentList: List(),
    hasRecentLoaded: false
  }),
  tasks: Map(),
  _tasks: Map(),
  subs: Map(),
  bids: Map(),
  inbox: Map(),
  _inbox: Map({
    isListLoading: true
  }),
  conversations: Map(),
  _conversations: Map({
    hasLoaded: Map()
  }),
  addressbook: Map(),
  _addressbook: Map({
    list: List(),
    hasLoaded: false
  }),
  projectimage: Map(),
  _projectimage: Map({
    project: Map(),
    hasLoaded: Map()
  }),
  projectaudio: Map(),
  _projectaudio: Map({
    project: Map(),
    hasLoaded: Map()
  }),
  projectfile: Map(),
  _projectfile: Map({
    project: Map(),
    hasLoaded: Map()
  })
})

export default createReducer(new ResourcesState(), {
  ...contact,
  ...user,
  ...project,
  ...task,
  ...sub,
  ...bid,
  ...inbox,
  ...conversation,
  ...addressbook,
  ...projectimage,
  ...projectaudio,
  ...projectfile,
  RESOURCE_RESET: state => new ResourcesState()
})
