// @flow
import { schema } from 'normalizr'

export const contact = new schema.Entity('contacts')
export const project = new schema.Entity('projects', {
  contacts: [contact]
})

export const user = new schema.Entity('users')

export const bid = new schema.Entity('bids')
export const sub = new schema.Entity('subs')
export const projectimage = new schema.Entity('images')
export const projectaudio = new schema.Entity('audio')
export const projectfiles = new schema.Entity('files')
export const image = new schema.Entity('images')
export const addressbook = new schema.Entity('addressbook')

export const task = new schema.Entity('tasks', {
  bids: [bid],
  subs: [sub]
})

export const inbox = new schema.Entity('inbox', {
  project,
  partecipants: [user]
})

export const conversation = new schema.Entity('conversations', {
  partecipants: [user]
})

export default {
  addressbook,
  bid,
  contact,
  conversation,
  inbox,
  image,
  project,
  projectimage,
  projectaudio,
  projectfiles,
  sub,
  task,
  user
}
