// @flow
import SubSchema from './schema'
import {
  createEntitiesToMap,
  createPatchedEntitiesToMap
} from 'resources/utils'

export function entityToRecord ({
  id,
  projectTaskId,
  projectId,
  userId,
  ...sub
}) {
  return new SubSchema({
    id: id.toString(),
    projectTask: projectTaskId && projectTaskId.toString(),
    project: projectId && projectId.toString(),
    user: userId && userId.toString(),
    ...sub
  })
}

export const entitiesToMap = createEntitiesToMap('subs', entityToRecord)
export const partialEntitiesToMap = createPatchedEntitiesToMap(
  'subs',
  entityToRecord
)

export default {}
