// @flow
import { get, post } from 'utils/http'

export function fetchForProject ({ projectId }) {
  return get(`/tasks/project/${projectId}`)
}

export function fetchList () {
  return get(`/tasks`)
}

export function addPeopleToTrade ({ projectId, taskId, subs }) {
  return post(`/tasks/add/people`, { projectId, taskId, subs })
}

export function removePeopleFromTrade ({ projectId, taskId, subs }) {
  return post(`/tasks/remove/people`, { projectId, taskId, subs })
}

export function fetchInfoForProject ({ projectId, projectTaskId, userId }) {
  return get(`/tasks/subs/${projectId}/${projectTaskId}/${userId}`)
}
