// @flow
import { createSelector } from 'reselect'
import { createResourceSelector } from 'resources/utils'
import { List } from 'immutable'

export const tasks = createResourceSelector('tasks')
const tasksPrivate = createResourceSelector(['_tasks'])

export function getProject (projectId) {
  return createSelector([tasksPrivate, projectId], (tasksPrivate, projectId) =>
    tasksPrivate.getIn(['_project', projectId])
  )
}

export function hasProjectLoaded (projectId) {
  return createSelector([tasksPrivate, projectId], (tasksPrivate, projectId) =>
    tasksPrivate.getIn(['hasProjectLoaded', projectId], false)
  )
}

export const hasListLoaded = createSelector([tasksPrivate], tasksPrivate =>
  tasksPrivate.getIn(['hasListLoaded'], false)
)

export const taskList = createSelector([tasksPrivate], tasksPrivate =>
  tasksPrivate.getIn(['_tasks'], List())
)
