import createStoreForTesting from 'test/createstore'
import userRecord from 'test/records/userinfo.json'
import { UserActions, UserSelectors } from 'resources/user'

describe('User Resource', () => {
  it('should set the current user id', () => {
    const helper = createStoreForTesting()
    helper.dispatch(UserActions.setCurrentUser('66'))
    expect(UserSelectors.currentUserId(helper.getState())).toBe('66')
  })
  it('should load data as expected', async () => {
    const helper = createStoreForTesting()
    helper.addResponse(userRecord)
    await helper.dispatch(
      UserActions.fetchInfo(userRecord.data.user.id.toString())
    )
    const state = helper.getState()
    const user = UserSelectors.getUser(() =>
      userRecord.data.user.id.toString()
    )(state)
    expect(user.toJS()).toMatchSnapshot()
  })
})
