// @flow
import { fromJS } from 'immutable'
import { normalize } from 'normalizr'
import CONSTANTS from './constants'
import UserSchema from './schema'
import schema from 'resources/schema'
import {
  createEntitiesToMap,
  createPatchedEntitiesToMap
} from 'resources/utils'

export function entityToRecord (entity) {
  const { commEmail, commMobile, commDevice, ...user } = entity
  return new UserSchema({
    ...user,
    comuncation: fromJS({
      commEmail,
      commMobile,
      commDevice
    })
  })
}

export const entitiesToMap = createEntitiesToMap('users', entityToRecord)
export const partialEntitiesToMap = createPatchedEntitiesToMap(
  'users',
  entityToRecord
)

export default {
  [CONSTANTS.SET_CURRENT_ID] (state, { payload }) {
    return state.setIn(['_users', 'current'], payload)
  },
  [CONSTANTS.FETCH_INFO] (state, { payload }) {
    const { entities } = normalize(payload, schema.user)
    const users = entitiesToMap(entities)
    return state.mergeDeep({ users })
  }
}
