// @flow
import { createSelector } from 'reselect'
import { createResourceSelector } from 'resources/utils'

export const users = createResourceSelector('users')
const usersPrivate = createResourceSelector(['_users'])

export function getUser (userId) {
  return createSelector([users, userId], (users, userId) =>
    users.get(userId, null)
  )
}

// currentUser
export const currentUserId = createSelector([usersPrivate], usersPrivate =>
  usersPrivate.get('current')
)

export const deviceToken = createSelector([usersPrivate], usersPrivate =>
  usersPrivate.get('deviceToken')
)

export const currentUser = getUser(currentUserId)
