// @flow
import { NavigationActions } from 'react-navigation'
import { currentKey } from './utils'

export function reset (navigator, screen, options = {}) {
  return NavigationActions.navigate({
    type: NavigationActions.NAVIGATE,
    routeName: navigator,
    action: NavigationActions.reset({
      type: NavigationActions.RESET,
      index: 0,
      actions: [NavigationActions.navigate({ routeName: screen })]
    })
  })
}

export function back () {
  return NavigationActions.back()
}

export function navigate (screen, props) {
  return NavigationActions.navigate({
    routeName: screen,
    params: props
  })
}

export function setParams (params) {
  return (dispatch, getState) => {
    const key = currentKey(getState().nav)
    dispatch(NavigationActions.setParams({ key, params }))
  }
}

export function setTitle (title) {
  return setParams({ title })
}
