// @flow
import React from 'react'
import PropTypes from 'prop-types'
import StyleSheet from 'react-native-extended-stylesheet'
import { View } from 'react-native'
import NavbarButton from 'components/NavbarButton'
import { SolidButton } from 'components/Button'

Account.navigationOptions = ({ navigation }) => ({
  title: 'My Account',
  headerLeft: (
    <NavbarButton
      name='ios-close'
      size={50}
      onPress={() => navigation.goBack()}
    />
  )
})

Account.propTypes = {
  toProfileInfo: PropTypes.func,
  toProfileNotification: PropTypes.func,
  toProfilePassword: PropTypes.func
}

const styles = StyleSheet.create({
  wrapper: {
    flex: 1,
    alignItems: 'center'
  },
  button: {
    marginTop: 20,
    width: '90%',
    height: 40,
    borderRadius: 20,
    paddingLeft: 20,
    paddingRight: 20
  }
})

export default function Account ({
  toProfileInfo,
  toProfileNotification,
  toProfilePassword,
  ...props
}) {
  return (
    <View style={styles.wrapper}>
      <SolidButton style={styles.button} primary onPress={toProfileInfo}>
        Edit Profile
      </SolidButton>
      <SolidButton
        style={styles.button}
        primary
        onPress={toProfileNotification}
      >
        Edit Notifications
      </SolidButton>
      {/*
      <SolidButton style={styles.button} primary onPress={toProfilePassword}>
        Edit Password
      </SolidButton>
      */}
    </View>
  )
}
