import React from 'react'
import { shallow } from 'enzyme'
import Account from '../Account'
import { SolidButton } from 'components/Button'
import { actions } from '../module'
import Container from '../Container'

function renderHelper (props = {}) {
  return shallow(<Account {...props} />)
}

describe('My Account Screen', () => {
  describe('container', () => {
    it('should include in  navigateActions initialize', () => {
      expect(Container.navigateActions.includes(actions.initialize)).toBe(true)
    })
  })

  describe('view', () => {
    // It should be rendered in this order
    it('should render X in title bar', () => {
      const header = Account.navigationOptions({ navigation: {} })
      const node = shallow(header.headerLeft)
      expect(node.props().children.props.name).toBe('ios-close')
    })
    it('should render 3 buttons', () => {
      const node = renderHelper()
      expect(node.find(SolidButton)).toHaveLength(2)
    })
    it('should render Edit Profile text', () => {
      const node = renderHelper()
      expect(
        node
          .find(SolidButton)
          .at(0)
          .props().children
      ).toBe('Edit Profile')
    })
    it('should render Edit Notifications text', () => {
      const node = renderHelper()
      expect(
        node
          .find(SolidButton)
          .at(1)
          .props().children
      ).toBe('Edit Notifications')
    })
  })
})
