// @flow
import React from 'react'
import PropTypes from 'prop-types'
import { View, Keyboard, TouchableWithoutFeedback } from 'react-native'
import { TextInput } from 'components/FormControls'
import NavbarButton from 'components/NavbarButton'
import { Map, List } from 'immutable'
import StyleSheet from 'react-native-extended-stylesheet'

const styles = StyleSheet.create({
  wrapper: {
    backgroundColor: '$White',
    flex: 1,
    width: '100%',
    padding: 10
  }
})

AddManualContact.navigationOptions = ({ navigation, ...other }) => ({
  title: 'Add Contact',
  headerRight: (
    <NavbarButton onPress={() => navigation.state.params.addContact()}>
      ADD
    </NavbarButton>
  )
})

AddManualContact.propTypes = {
  contacts: PropTypes.instanceOf(Map),
  contactsList: PropTypes.instanceOf(List)
}

export default function AddManualContact ({
  setName,
  setPhone,
  name,
  phone
  /* setEmail,
  email */
}) {
  return (
    <TouchableWithoutFeedback onPress={Keyboard.dismiss}>
      <View style={styles.wrapper}>
        <TextInput label='Name' onChangeText={setName} value={name} />
        <TextInput
          label='Phone'
          onChangeText={setPhone}
          value={phone}
          keyboardType='numeric'
        />
        {/* <TextInput label='Email' onChangeText={setEmail} value={email} /> */}
      </View>
    </TouchableWithoutFeedback>
  )
}
