// @flow
import React, { Component } from 'react'
import { connect } from 'react-redux'
import StyleSheet from 'react-native-extended-stylesheet'
import { View, StatusBar } from 'react-native'
import { addNavigationHelpers } from 'react-navigation'
import RootNavigator from 'routes/routes'

const styles = StyleSheet.create({
  container: {
    flex: 1
  }
})

class AppWithNavigationState extends Component {
  render () {
    const { dispatch, nav } = this.props
    return (
      <View style={styles.container}>
        <StatusBar barStyle='light-content' />
        <RootNavigator
          navigation={addNavigationHelpers({
            dispatch,
            state: nav
          })}
        />
      </View>
    )
  }
}

export default connect(state => ({ nav: state.nav }))(AppWithNavigationState)
