// @flow
import React from 'react'
import PropTypes from 'prop-types'
import { View } from 'react-native'
import { Map } from 'immutable'
import StyleSheet from 'react-native-extended-stylesheet'
import UserBadge from 'components/UserBadge'
import { isSameUser } from '../utils'

const styles = StyleSheet.create({
  container: {
    marginRight: 8,
    alignSelf: 'flex-start'
  },
  empty: {
    width: 36
  }
})

Avatar.propTypes = {
  currentMessage: PropTypes.instanceOf(Map).isRequired,
  nextMessage: PropTypes.instanceOf(Map),
  users: PropTypes.instanceOf(Map).isRequired
}

export default function Avatar ({ currentMessage, nextMessage, users }) {
  if (isSameUser(currentMessage, nextMessage)) {
    return <View style={[styles.container, styles.empty]} />
  }
  const user = users.get(currentMessage.get('user'))
  return (
    <View style={styles.container}>
      <UserBadge name={user.get('name')} size={36} />
    </View>
  )
}
