// @flow
import PropTypes from 'prop-types'
import React from 'react'
import { Image, StyleSheet, View } from 'react-native'
import { Map } from 'immutable'
import Lightbox from 'components/Lightbox'

const styles = StyleSheet.create({
  container: {},
  image: {
    width: 150,
    height: 100,
    borderRadius: 13,
    margin: 3,
    resizeMode: 'cover'
  },
  imageActive: {
    flex: 1,
    resizeMode: 'contain'
  }
})

MessageImage.propTypes = {
  currentMessage: PropTypes.instanceOf(Map)
}

export default function MessageImage ({ currentMessage }) {
  const uri =
    currentMessage.get('mediaThumbnail') || currentMessage.get('mediaUrl')
  if (!uri) {
    return null
  }
  return (
    <View style={styles.container}>
      <Lightbox activeProps={{ style: styles.imageActive }}>
        <Image style={styles.image} source={{ uri }} />
      </Lightbox>
    </View>
  )
}
