// @flow
import PropTypes from 'prop-types'
import React from 'react'
import { Map } from 'immutable'
import { Text } from 'react-native'
import StyleSheet from 'react-native-extended-stylesheet'

const styles = StyleSheet.create({
  text: {
    fontSize: 11,
    textAlign: 'right',
    color: '$DarkText'
  }
})

MessageSending.propTypes = {
  currentMessage: PropTypes.instanceOf(Map).isRequired
}

export default function MessageSending ({ currentMessage }) {
  if (!currentMessage.get('isSending')) {
    return null
  }
  return <Text style={styles.text}>Sending..</Text>
}
