// @flow
import PropTypes from 'prop-types'
import React from 'react'
import { Map } from 'immutable'
import { View, Text } from 'react-native'
import StyleSheet from 'react-native-extended-stylesheet'
import Icon from 'components/Icon'
import Time from './Time'
import COLORS from '../../../colors'

const styles = StyleSheet.create({
  container: {
    flexDirection: 'row',
    borderRadius: 5,
    padding: 4,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: '$LightBackground',
    marginLeft: 20,
    marginRight: 20,
    marginTop: 10,
    marginBottom: 10
  },
  text: {
    marginLeft: 8,
    fontSize: 15,
    textAlign: 'right',
    color: '$DarkText'
  },
  time: {
    marginBottom: 0,
    marginLeft: 10,
    fontSize: 13
  }
})

PhoneCall.propTypes = {
  currentMessage: PropTypes.instanceOf(Map).isRequired
}

export default function PhoneCall ({ currentMessage }) {
  return (
    <View style={styles.container}>
      <Icon name='ios-call-outline' color={COLORS.Secondary} />
      <Text style={styles.text}>Call</Text>
      <Time date={currentMessage.get('createdAt')} style={styles.time} />
    </View>
  )
}
