// @flow
import React from 'react'
import PropTypes from 'prop-types'
import { View } from 'react-native'
import StyleSheet from 'react-native-extended-stylesheet'
import TimeFormatter, { TIME_FORMATTERS } from 'components/TimeFormatter'

const styles = StyleSheet.create({
  bottom: {
    flexDirection: 'row',
    justifyContent: 'flex-end'
  },
  text: {
    fontSize: 12,
    backgroundColor: 'transparent',
    textAlign: 'right',
    marginLeft: 10,
    marginRight: 10,
    marginBottom: 5
  }
})

Time.propTypes = {
  date: PropTypes.string.isRequired,
  color: PropTypes.string
}

export default function Time ({ color, date, style }) {
  return (
    <View style={styles.bottom}>
      <TimeFormatter
        date={date}
        format={TIME_FORMATTERS.FORMATTED_TIME}
        style={[styles.text, { color }, style]}
      />
    </View>
  )
}
