// @flow
import moment from 'moment'
import { Map } from 'immutable'

export function isSameDay (currentMessage = Map(), diffMessage = Map()) {
  if (!diffMessage || !diffMessage.get('createdAt')) {
    return false
  }

  let currentCreatedAt = moment(currentMessage.get('createdAt'))
  let diffCreatedAt = moment(diffMessage.get('createdAt'))

  if (!currentCreatedAt.isValid() || !diffCreatedAt.isValid()) {
    return false
  }
  return currentCreatedAt.isSame(diffCreatedAt, 'day')
}

export function isSameUser (currentMessage = Map(), diffMessage = Map()) {
  return !!(diffMessage.get('user') === currentMessage.get('user'))
}

export function invertMessages (messages) {
  const DeviceInfo = require('react-native-device-info')
  if (DeviceInfo.isEmulator()) {
    return messages
  }
  return messages.map(({ index }) => ({ index: messages.length - index - 1 }))
}
