// @flow
import React from 'react'
import { FlatList, Platform } from 'react-native'
import StyleSheet from 'react-native-extended-stylesheet'
import ProjectRow from './ProjectRow'

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '$White',
    marginTop: Platform.OS === 'ios' ? 80 : 0
  }
})

export default function ProjectList ({
  projects,
  projectList,
  selectedProjects,
  toggleProject
}) {
  const flattenedList = projectList.toJS().map(id => ({ id }))
  const rowRenderer = ({ item }) => (
    <ProjectRow
      {...item}
      selected={selectedProjects.includes(item.id)}
      toggleProject={toggleProject}
      projects={projects}
    />
  )
  return (
    <FlatList
      data={flattenedList}
      keyExtractor={(_, index) => index.toString()}
      renderItem={rowRenderer}
      style={styles.container}
    />
  )
}
