import React from 'react'
import { shallow } from 'enzyme'
import { FlatList } from 'react-native'
import ConversationList from '../components/ConversationList'
import ConversationRow from '../components/ConversationRow'
import { List, Map } from 'immutable'

describe('Inbox ConversationList', () => {
  it('should render a list of ConversationRow', () => {
    const noop = jest.fn()
    const inbox = new Map()
    const projects = new Map()
    const users = new Map()
    const inboxList = new List(['1', '3', '22'])
    const node = shallow(
      <ConversationList
        inbox={inbox}
        inboxList={inboxList}
        projects={projects}
        toConversation={noop}
        users={users}
      />
    )
    const flatlist = node.find(FlatList)
    expect(flatlist.prop('data')).toEqual(inboxList.toJS().map(id => ({ id })))
    const RenderItem = flatlist.prop('renderItem')
    const renderItem = shallow(<RenderItem item={{ id: '23' }} />)
    expect(renderItem.find(ConversationRow).exists()).toBeTruthy()
    expect(renderItem.prop('toConversation')).toBe(noop)
    expect(renderItem.prop('projects')).toBe(projects)
    expect(renderItem.prop('inbox')).toBe(inbox)
    expect(renderItem.prop('users')).toBe(users)
  })
})
