import React from 'react'
import { shallow } from 'enzyme'
import { TouchableOpacity, Text } from 'react-native'
import FilterBar from '../components/FilterBar'
import { fromJS } from 'immutable'

describe('Inbox Filterbar', () => {
  it('should render a filter bar with project name and correct callback', () => {
    const changeProjectFilter = jest.fn()
    const projects = fromJS({
      '33': {
        name: 'project name'
      }
    })
    const node = shallow(
      <FilterBar
        changeProjectFilter={changeProjectFilter}
        projectId='33'
        projects={projects}
      />
    )
    expect(node.find(TouchableOpacity)).toHaveLength(1)
    expect(node.find(TouchableOpacity).prop('onPress')).toBe(
      changeProjectFilter
    )
    expect(
      node
        .find(Text)
        .map(text => text.prop('children'))
        .includes('project name')
    ).toBeTruthy()
  })
})
