// @flow
import React from 'react'
import { View, Text } from 'react-native'
import StyleSheet from 'react-native-extended-stylesheet'
import Icon from 'components/Icon'
import COLORS from '../../../colors'

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '$White',
    justifyContent: 'center',
    alignItems: 'center'
  },
  text: {
    fontSize: 16,
    color: '$DarkText',
    marginTop: 20
  }
})

export default function EmptyView () {
  return (
    <View style={styles.container}>
      <Icon
        name='ios-chatbubbles-outline'
        color={COLORS.DarkBackground}
        size={100}
      />
      <Text style={styles.text}>No Conversations</Text>
    </View>
  )
}
