// @flow
import React from 'react'
import PropTypes from 'prop-types'
import StyleSheet from 'react-native-extended-stylesheet'
import { View } from 'react-native'
import NavbarButton from 'components/NavbarButton'
import { SolidButton } from 'components/Button'
import { TextInput } from 'components/FormControls'
import { LoaderScreen } from 'components/Loader'

Profile.navigationOptions = ({ navigation }) => ({
  title: 'Edit Profile',
  headerLeft: (
    <NavbarButton
      name='ios-close'
      size={50}
      onPress={() => navigation.goBack()}
    />
  )
})

Profile.propTypes = {
  saveProfile: PropTypes.func
}

const styles = StyleSheet.create({
  wrapper: {
    flex: 1,
    padding: 20
  },
  button: {
    alignSelf: 'center',
    marginTop: 20,
    width: '90%',
    height: 40,
    borderRadius: 20,
    paddingLeft: 20,
    paddingRight: 20
  }
})

export default function Profile ({
  isLoading,
  location,
  setLocation,
  name,
  setName,
  cell,
  setCell,
  save
}) {
  if (isLoading) {
    return <LoaderScreen />
  }
  return (
    <View style={styles.wrapper}>
      <TextInput label='Your Name' onChangeText={setName} value={name} />

      <TextInput
        label='Your Phone Number'
        onChangeText={setCell}
        value={cell}
      />

      <TextInput
        label='Your Location'
        onChangeText={setLocation}
        value={location}
      />

      <SolidButton style={styles.button} primary onPress={save}>
        Save
      </SolidButton>
    </View>
  )
}
