// @flow
import React from 'react'
import PropTypes from 'prop-types'
import StyleSheet from 'react-native-extended-stylesheet'
import { View } from 'react-native'
import NavbarButton from 'components/NavbarButton'
import { SolidButton } from 'components/Button'
import { Switch } from 'components/FormControls'
import { LoaderScreen } from 'components/Loader'

Profile.navigationOptions = ({ navigation }) => ({
  title: 'Edit Notification',
  headerLeft: (
    <NavbarButton
      name='ios-close'
      size={50}
      onPress={() => navigation.goBack()}
    />
  )
})

Profile.propTypes = {
  saveProfile: PropTypes.func
}

const styles = StyleSheet.create({
  wrapper: {
    flex: 1,
    padding: 20
  },
  button: {
    alignSelf: 'center',
    marginTop: 20,
    width: '90%',
    height: 40,
    borderRadius: 20,
    paddingLeft: 20,
    paddingRight: 20
  }
})

export default function Profile ({
  commDevice,
  commEmail,
  commMobile,
  setCommDevice,
  setCommEmail,
  setCommMobile,
  save,
  isLoading
}) {
  if (isLoading) {
    return <LoaderScreen />
  }
  return (
    <View style={styles.wrapper}>
      <Switch
        label='Push Notification'
        value={commDevice}
        onValueChange={setCommDevice}
      />
      <Switch
        label='Email Notification'
        value={commEmail}
        onValueChange={setCommEmail}
      />
      <Switch
        label='Text Notification'
        value={commMobile}
        onValueChange={setCommMobile}
      />
      <SolidButton style={styles.button} primary onPress={save}>
        Save
      </SolidButton>
    </View>
  )
}
