// @flow
import React from 'react'
import PropTypes from 'prop-types'
import StyleSheet from 'react-native-extended-stylesheet'
import { View } from 'react-native'
import NavbarButton from 'components/NavbarButton'
import { SolidButton } from 'components/Button'
import { TextInput } from 'components/FormControls'
import { LoaderScreen } from 'components/Loader'

Profile.navigationOptions = ({ navigation }) => ({
  title: 'Edit Password',
  headerLeft: (
    <NavbarButton
      name='ios-close'
      size={50}
      onPress={() => navigation.goBack()}
    />
  )
})

Profile.propTypes = {
  saveProfile: PropTypes.func
}

const styles = StyleSheet.create({
  wrapper: {
    flex: 1,
    padding: 20
  },
  button: {
    alignSelf: 'center',
    marginTop: 20,
    width: '90%',
    height: 40,
    borderRadius: 20,
    paddingLeft: 20,
    paddingRight: 20
  }
})

export default function Profile ({
  currentPassword,
  setCurrentPassword,
  newPassword,
  setNewPassword,
  isLoading,
  newPassword2,
  setNewPassword2,
  savePassword
}) {
  if (isLoading) {
    return <LoaderScreen />
  }
  return (
    <View style={styles.wrapper}>
      <TextInput
        label='Current Password'
        onChangeText={setCurrentPassword}
        value={currentPassword}
        secureTextEntry
      />
      <TextInput
        secureTextEntry
        label='New Password'
        onChangeText={setNewPassword}
        value={newPassword}
      />
      <TextInput
        secureTextEntry
        label='Confirm New Password'
        onChangeText={setNewPassword2}
        value={newPassword2}
      />
      <SolidButton style={styles.button} primary onPress={savePassword}>
        Save
      </SolidButton>
    </View>
  )
}
