// @flow
import React from 'react'
import PropTypes from 'prop-types'
import { TouchableOpacity, View, Text } from 'react-native'
import StyleSheet from 'react-native-extended-stylesheet'
import fontMaker from 'utils/font'

const styles = StyleSheet.create({
  container: {
    flexDirection: 'column',
    marginTop: 10
  },
  label: {
    fontSize: 16,
    marginBottom: 5,
    ...fontMaker({ weight: 'bold' })
  },
  inputWrapper: {
    borderWidth: 1,
    borderColor: '$Primary',
    borderRadius: 3,
    minHeight: 30,
    paddingLeft: 5,
    paddingRight: 5,
    paddingTop: 3,
    paddingBottom: 3
  },
  input: {
    width: '100%',
    flex: 1,
    fontSize: 13,
    color: '$Primary'
  }
})

AddressLabel.propTypes = {
  label: PropTypes.string.isRequired,
  address: PropTypes.string.isRequired,
  onPress: PropTypes.func.isRequired
}

export default function AddressLabel ({ label, address, onPress }) {
  return (
    <TouchableOpacity onPress={onPress}>
      <View style={styles.container}>
        <Text style={styles.label}>{label}</Text>
        <View style={styles.inputWrapper}>
          <Text style={styles.input}>{address}</Text>
        </View>
      </View>
    </TouchableOpacity>
  )
}
