// @flow
import React from 'react'
import PropTypes from 'prop-types'
import { View, Text } from 'react-native'
import Button from 'components/Button'
import Icon from 'components/Icon'
import Loader from 'components/Loader'
import StyleSheet from 'react-native-extended-stylesheet'

const styles = StyleSheet.create({
  wrapper: {
    width: '100%',
    height: 45,
    justifyContent: 'center',
    alignItems: 'center',
    flexDirection: 'row',
    backgroundColor: '$LightBackground',
    borderWidth: 1,
    borderBottomColor: '$LightText'
  },
  text: {
    marginLeft: 10,
    fontSize: 12
  },
  button: {
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center'
  }
})

ImageUpload.propTypes = {
  uploadImage: PropTypes.func.isRequired,
  isUploading: PropTypes.bool.isRequired
}

export default function ImageUpload ({ uploadImage, isUploading }) {
  return (
    <View style={styles.wrapper}>
      {isUploading ? (
        <Loader />
      ) : (
        <Button style={styles.button} onPress={uploadImage}>
          <Icon size={35} name='ios-camera-outline' />
          <Text style={styles.text}>Add Image</Text>
        </Button>
      )}
    </View>
  )
}
