import React from 'react'
import { shallow } from 'enzyme'
import { Text, TouchableOpacity } from 'react-native'
import Icon from 'components/Icon'
import ProjectTabButton from '../components/ProjectTabButton'

describe('Project Info ProjectTabButton', () => {
  it('should render a clickable icon and text', () => {
    const onPress = jest.fn()
    const node = shallow(
      <ProjectTabButton image='{image}' name='{name}' onPress={onPress} />
    )
    expect(node.find(TouchableOpacity).exists()).toBe(true)
    expect(node.find(Text).exists()).toBe(true)
    expect(node.find(Icon).exists()).toBe(true)
    expect(
      node
        .find(Text)
        .children()
        .text()
    ).toBe('{name}')
    expect(node.find(Icon).prop('name')).toBe('{image}')
    expect(node.find(TouchableOpacity).prop('onPress')).toBe(onPress)
  })
})
