// @flow
import React from 'react'
import StyleSheet from 'react-native-extended-stylesheet'
import { View } from 'react-native'
import Icon from 'components/Icon'
import COLORS from '../../../colors'

const styles = StyleSheet.create({
  container: {
    width: 25,
    height: 45
  },
  top: {
    width: 25,
    height: 25,
    marginTop: 10,
    backgroundColor: '$White',
    borderRadius: 15,
    alignItems: 'center',
    justifyContent: 'center'
  },
  triangle: {
    position: 'absolute',
    bottom: 0,
    left: 0,
    backgroundColor: 'transparent',
    borderStyle: 'solid',
    borderTopWidth: 25,
    borderRightWidth: 13,
    borderBottomWidth: 0,
    borderLeftWidth: 13,
    borderTopColor: '$White',
    borderRightColor: 'transparent',
    borderBottomColor: 'transparent',
    borderLeftColor: 'transparent',
    shadowColor: '#000000',
    shadowOffset: {
      width: 0,
      height: 0
    },
    shadowRadius: 5,
    shadowOpacity: 1.2
  }
})

export default function MapMarker () {
  return (
    <View style={styles.container}>
      <View style={styles.triangle} />
      <View style={styles.top}>
        <Icon name='ios-hammer' size={20} color={COLORS.Primary} />
      </View>
    </View>
  )
}
