// @flow
import React from 'react'
import ContentLoader from 'vendor/react-native-content-loader'
import { Rect } from 'react-native-svg'
import StyleSheet from 'react-native-extended-stylesheet'
import { View, Text } from 'react-native'
import font from 'utils/font'

const styles = StyleSheet.create({
  wrapper: {
    backgroundColor: '$White',
    flex: 1,

    alignItems: 'center'
  },
  subs: {
    ...font({ weight: 'bold' }),
    marginTop: 10,
    alignSelf: 'center'
  },
  rowSpacing: {
    marginTop: 10
  },
  row: {
    borderColor: '$LightDivider',
    borderBottomWidth: 1
  },
  bottom: {
    position: 'absolute',
    bottom: 0,
    height: 60,
    borderColor: '$Primary',
    borderTopWidth: 1,
    backgroundColor: '$White',
    left: 0,
    right: 0
  }
})

export function TopPart () {
  return (
    <ContentLoader
      height={200}
      width={370}
      speed={2}
      primaryColor={'#f3f3f3'}
      secondaryColor={'#ecebeb'}
    >
      <Rect x='-2' y='3' rx='3' ry='3' width='374.5' height='39.1' />
      <Rect x='-1' y='46' rx='3' ry='3' width='371' height='215.1' />
    </ContentLoader>
  )
}

export function Row () {
  return (
    <View style={styles.row}>
      <ContentLoader
        height={60}
        width={370}
        speed={2}
        primaryColor={'#f3f3f3'}
        secondaryColor={'#ecebeb'}
      >
        <Rect x='10' y='13.05' rx='0' ry='0' width='131' height='12' />
        <Rect x='8' y='40.05' rx='0' ry='0' width='322' height='12' />
      </ContentLoader>
    </View>
  )
}

export default function ProjectInfoLoader () {
  return (
    <View style={styles.wrapper}>
      <TopPart />
      <Text style={styles.subs}>TEAM MEMBERS</Text>
      <View style={styles.rowSpacing}>
        <Row />
        <Row />
        <Row />
        <Row />
        <Row />
        <Row />
        <Row />
        <Row />
      </View>
      <View style={styles.bottom}>
        <ContentLoader
          height={60}
          width={370}
          speed={2}
          primaryColor={'#f3f3f3'}
          secondaryColor={'#ecebeb'}
        >
          <Rect x='12' y='10' rx='0' ry='0' width='350' height='35' />
        </ContentLoader>
      </View>
    </View>
  )
}
