// @flow
import React from 'react'
import PropTypes from 'prop-types'
import { View } from 'react-native'
import StyleSheet from 'react-native-extended-stylesheet'
import ProjectTabButton from './ProjectTabButton'

const styles = StyleSheet.create({
  tabs: {
    paddingTop: 10,
    flexDirection: 'row',
    justifyContent: 'space-around',
    borderTopWidth: 1,
    borderTopColor: '$Primary'
  }
})

ProjectTabBar.propTypes = {
  tabs: PropTypes.array.isRequired
}

export default function ProjectTabBar ({ tabs }) {
  return (
    <View style={styles.tabs}>
      {tabs.map(tab => (
        <ProjectTabButton
          key={tab.name}
          image={tab.image}
          name={tab.name}
          onPress={tab.onPress}
        />
      ))}
    </View>
  )
}
