// @flow
import React from 'react'
import PropTypes from 'prop-types'
import { Text, TouchableOpacity } from 'react-native'
import StyleSheet from 'react-native-extended-stylesheet'
import Icon from 'components/Icon'
import font from 'utils/font'
import COLORS from '../../../colors'

const styles = StyleSheet.create({
  tab: {
    flex: 1,
    alignItems: 'center',
    justifyContent: 'center',
    paddingBottom: 10
  },
  icon: {
    marginBottom: 5
  },
  tabText: {
    ...font({ weight: 'bold' }),
    fontSize: 13,
    color: '$Primary'
  }
})

ProjectTabButton.propTypes = {
  image: PropTypes.string.isRequired,
  name: PropTypes.string.isRequired,
  onPress: PropTypes.func.isRequired
}

export default function ProjectTabButton ({ image, name, onPress }) {
  return (
    <TouchableOpacity style={styles.tab} onPress={onPress}>
      <Icon style={styles.icon} name={image} size={25} color={COLORS.Primary} />
      <Text style={styles.tabText}>{name}</Text>
    </TouchableOpacity>
  )
}
