// @flow
import React from 'react'
import PropTypes from 'prop-types'
import { TouchableOpacity, Text } from 'react-native'
import Icon from 'components/Icon'
import StyleSheet from 'react-native-extended-stylesheet'
import COLORS from '../../../colors'

const styles = StyleSheet.create({
  container: {
    height: 60,
    width: 60,
    backgroundColor: '$Red',
    justifyContent: 'center',
    alignItems: 'center'
  },
  text: {
    fontSize: 13,
    color: '$White'
  }
})

SubDelete.propTypes = {
  onDelete: PropTypes.func.isRequired,
  userId: PropTypes.string.isRequired,
  taskId: PropTypes.string.isRequired
}

export default function SubDelete ({ onDelete, userId, taskId, tasks }) {
  const task = tasks.get(taskId)
  return (
    <TouchableOpacity
      style={styles.container}
      onPress={() => onDelete(userId, (task && task.get('projectTask')) || 0)}
    >
      <Icon name='ios-trash-outline' size={32} color={COLORS.White} />
      <Text style={styles.text}>Delete</Text>
    </TouchableOpacity>
  )
}
