// @flow
import React from 'react'
import PropTypes from 'prop-types'
import { Map, List } from 'immutable'
import StyleSheet from 'react-native-extended-stylesheet'
import { View, Text } from 'react-native'
import SubsList from './SubsList'
import font from 'utils/font'

const styles = StyleSheet.create({
  wrapper: {
    flex: 1
  },
  subs: {
    ...font({ weight: 'bold' }),
    fontSize: 16,
    marginTop: 10,
    alignSelf: 'center'
  }
})

SubsView.propTypes = {
  tasksSubList: PropTypes.instanceOf(List),
  users: PropTypes.instanceOf(Map),
  tasks: PropTypes.instanceOf(Map),
  onDelete: PropTypes.func.isRequired,
  toConversation: PropTypes.func.isRequired
}

export default function SubsView ({
  tasks,
  users,
  tasksSubList,
  onDelete,
  toConversation,
  isSub
}) {
  return (
    <View style={styles.wrapper}>
      <Text style={styles.subs}>TEAM MEMBERS</Text>
      <SubsList
        tasks={tasks}
        users={users}
        onDelete={onDelete}
        tasksSubList={tasksSubList}
        toConversation={toConversation}
        isSub={isSub}
      />
    </View>
  )
}
