// @flow
import { createStructuredSelector } from 'reselect'
import createContainer from 'utils/createcontainer'
import { ProjectSelectors } from 'resources/project'
import ProjectList from './ProjectList'
import { actions, selectors } from './module'

const selector = createStructuredSelector({
  ...selectors,
  hasLoaded: ProjectSelectors.hasListLoaded,
  projects: ProjectSelectors.projects
})

ProjectList.navigateActions = [actions.initialize]
export default createContainer(ProjectList, selector, actions)
