// @flow
import React from 'react'
import ContentLoader from 'vendor/react-native-content-loader'
import { Rect } from 'react-native-svg'
import StyleSheet from 'react-native-extended-stylesheet'
import { ScrollView, View } from 'react-native'

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '$White'
  },
  loader: {
    padding: 10
  }
})

export function LoadingIndicator () {
  return (
    <View style={styles.loader}>
      <ContentLoader height={80}>
        <Rect x='0' y='0' rx='3' ry='3' width='70' height='10' />
        <Rect x='80' y='0' rx='3' ry='3' width='100' height='10' />
        <Rect x='190' y='0' rx='3' ry='3' width='10' height='10' />
        <Rect x='15' y='20' rx='3' ry='3' width='130' height='10' />
        <Rect x='155' y='20' rx='3' ry='3' width='130' height='10' />
        <Rect x='15' y='40' rx='3' ry='3' width='90' height='10' />
        <Rect x='115' y='40' rx='3' ry='3' width='60' height='10' />
        <Rect x='185' y='40' rx='3' ry='3' width='60' height='10' />
        <Rect x='0' y='60' rx='3' ry='3' width='30' height='10' />
      </ContentLoader>
    </View>
  )
}

export default function Loader () {
  return (
    <ScrollView style={styles.container}>
      <LoadingIndicator />
      <LoadingIndicator />
      <LoadingIndicator />
      <LoadingIndicator />
      <LoadingIndicator />
      <LoadingIndicator />
      <LoadingIndicator />
    </ScrollView>
  )
}
