// @flow
import { Clipboard } from 'react-native'
import Mailer from 'react-native-mail'
import { shareOnFacebook, shareOnTwitter } from 'react-native-social-share'

const url = 'http://www.thenailitapp.com'

export const actions = {
  shareLink () {
    return (_, __) => {
      Clipboard.setString(url)
      alert('Link has been copied to your clipboard.')
    }
  },

  shareMail () {
    return (_, __) => {
      Mailer.mail(
        {
          subject: 'Nail It App',
          body: url
        },
        error => {
          if (error) {
            console.log(error)
            alert('Could not send mail.')
          }
        }
      )
    }
  },

  shareFacebook () {
    return (_, __) => {
      shareOnFacebook(
        {
          text: 'Nailed it...',
          link: url,
          image: 'Icon'
        },
        results => {
          if (results === 'not_available') {
            alert('Facebook not installed.')
          }
        }
      )
    }
  },

  shareTwitter () {
    return (_, __) => {
      shareOnTwitter(
        {
          text: 'Nailed it...',
          link: url,
          image: 'Icon'
        },
        results => {
          if (results === 'not_available') {
            alert('Twitter not installed.')
          }
        }
      )
    }
  }
}
