// @flow
import React from 'react'
import PropTypes from 'prop-types'
import { TouchableOpacity, View, Text } from 'react-native'
import StyleSheet from 'react-native-extended-stylesheet'
import Icon from 'components/Icon'
import COLORS from '../../../colors'

const styles = StyleSheet.create({
  container: {
    backgroundColor: 'transparent',
    flexDirection: 'row',
    opacity: 0.7,
    marginTop: 7,
    marginBottom: 7,
    paddingLeft: 25,
    alignItems: 'center'
  },
  text: {
    marginLeft: 10,
    color: '$White',
    fontSize: 16
  }
})

SidemenuItem.propTypes = {
  label: PropTypes.string.isRequired,
  onPress: PropTypes.func,
  icon: PropTypes.string.isRequired
}

export default function SidemenuItem ({ label, onPress, icon }) {
  return (
    <TouchableOpacity onPress={onPress}>
      <View style={styles.container}>
        <Icon name={icon} color={COLORS.White} size={32} />
        <Text style={styles.text}>{label}</Text>
      </View>
    </TouchableOpacity>
  )
}
