// @flow
import React from 'react'
import { Record } from 'immutable'
import PropTypes from 'prop-types'
import { View, Text } from 'react-native'
import StyleSheet from 'react-native-extended-stylesheet'
import COLORS from '../../../colors'

const styles = StyleSheet.create({
  container: {
    height: 95,
    paddingTop: 60,
    backgroundColor: COLORS.Primary,
    alignItems: 'center',
    justifyContent: 'center'
  },
  text: {
    flex: 1,
    paddingLeft: 10,
    paddingRight: 10,
    fontWeight: 'bold',
    color: COLORS.Secondary,
    fontSize: 16,
    paddingBottom: 2
  },
  separator: {
    height: 1,
    width: 249,
    marginLeft: -1,
    backgroundColor: '$White',
    opacity: 0.3
  }
})

SidemenuUser.propTypes = {
  user: PropTypes.instanceOf(Record).isRequired
}

export default function SidemenuUser ({ user }) {
  return (
    <View style={styles.container}>
      <Text numberOfLines={2} style={styles.text}>
        {user.get('name', 'no name').toUpperCase()}
      </Text>
      <View style={styles.separator} />
    </View>
  )
}
