// @flow
import React from 'react'
import StyleSheet from 'react-native-extended-stylesheet'
import Logo from 'components/Logo'
import LinearGradient from 'react-native-linear-gradient'
import COLORS from '../../colors'

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '$Primary',
    justifyContent: 'center',
    alignItems: 'center'
  }
})

export default function SplashScreen () {
  return (
    <LinearGradient
      colors={[COLORS.LightPrimary, COLORS.Primary]}
      start={{ x: 0.5, y: 0.3 }}
      end={{ x: 0.8, y: 0.7 }}
      style={styles.container}
    >
      <Logo width={300} />
    </LinearGradient>
  )
}
