import React from 'react'
import { shallow } from 'enzyme'
import Splashscreen from '../Splashscreen'
import Container from '../Container'
import * as AppActions from '../../../actions'
import Logo from 'components/Logo'
import LinearGradient from 'react-native-linear-gradient'

describe('Splashscreen', () => {
  describe('Container', () => {
    it('should dispatch startApp on navigate', () => {
      expect(Container.navigateActions.includes(AppActions.startApp)).toBe(true)
    })
  })
  describe('View', () => {
    it('should not change by accident', () => {
      const node = shallow(<Splashscreen />)
      expect(node).toMatchSnapshot()
    })
    it('should display a logo in a linear background', () => {
      const node = shallow(<Splashscreen />)
      expect(node.type()).toBe(LinearGradient)
      expect(node.children()).toHaveLength(1)
      expect(node.children(Logo)).toHaveLength(1)
    })
  })
})
