// @flow
import RootNavigator from 'routes/routes'
import configureStore from 'utils/createstore'

const navReducer = (state, action) => {
  const newState = RootNavigator.router.getStateForAction(action, state)
  return newState || state
}

export default function createStoreForTesting () {
  const spyActions = []
  const spyActionsMiddleware = () => next => action => {
    if (typeof action !== 'function' && !action.type.startsWith('@@')) {
      spyActions.push(action)
    }
    return next(action)
  }
  const store = configureStore(navReducer, [spyActionsMiddleware])
  store.spyActions = spyActions
  store.spyActions.types = () => {
    return spyActions.map(({ type }) => type)
  }
  store.spyActions.findAction = needleType => {
    return spyActions.find(({ type }) => type === needleType)
  }

  store.addResponse = response =>
    fetch.mockResponseOnce(JSON.stringify(response))
  store.addReject = () => fetch.mockRejectOnce()
  return store
}
