import createConstants from '../createconstants'

describe('createConstants', () => {
  it('sets the prefix', () => {
    const { CONSTANT } = createConstants('PREFIX', {
      CONSTANT: null
    })
    expect(CONSTANT).toBe('PREFIX_CONSTANT')
  })

  it('sets the value string, regardlesss of the original value', () => {
    const { NUMBER, STRING, OBJECT, NULL, UNDEFINED } = createConstants(
      'TEST',
      {
        NULL: null,
        NUMBER: 10,
        STRING: '',
        OBJECT: {},
        UNDEFINED: undefined
      }
    )

    expect(NULL).toBe('TEST_NULL')
    expect(NUMBER).toBe('TEST_NUMBER')
    expect(STRING).toBe('TEST_STRING')
    expect(OBJECT).toBe('TEST_OBJECT')
    expect(UNDEFINED).toBe('TEST_UNDEFINED')
  })
})
