import * as Immutable from 'immutable'
import createReducer from '../createreducer'

describe('createReducer', () => {
  it('sets initial state', () => {
    const initialState = Immutable.Map()
    const reducer = createReducer(initialState, {})
    const result = reducer(undefined, { type: 'action' })
    expect(Immutable.is(result, initialState)).toBe(true)
  })

  it('returns state when action is not found', () => {
    const state = Immutable.Map({ a: true })
    const reducer = createReducer(Immutable.Map(), {})
    const result = reducer(state, { type: 'action' })
    expect(Immutable.is(result, state)).toBe(true)
  })

  it('throws with invalid action return value', () => {
    const state = Immutable.Map()
    const reducer = createReducer(state, {
      action () {}
    })
    expect(() => reducer(state, { type: 'action' })).toThrowError(
      'Reducers must return an instance of StateConstructor'
    )
  })
})
