import { fromJS } from 'immutable'
import createFilter from '../createfilter'

describe('createFilter', () => {
  it('should return a function', () => {
    const dummySelector = jest.fn()
    const filter = createFilter(dummySelector, dummySelector, dummySelector)
    expect(typeof filter === 'function').toBe(true)
  })
  it('should filter results', () => {
    const needleSelector = () => 'needle'
    const resourceSelector = () =>
      fromJS({
        '1': {
          name: 'needle'
        },
        '2': {
          name: 'other needle'
        },
        '3': {
          name: 'foo'
        }
      })
    const resourceList = () => fromJS(['1', '2', '3'])
    const filter = createFilter(
      needleSelector,
      resourceSelector,
      resourceList,
      ['name']
    )
    expect(filter().toJS()).toEqual(['1', '2'])
  })
})
