// @flow
import { createSelector } from 'reselect'

export default function createFilter (
  needleSelector,
  resourceSelector,
  resourceList,
  searchFields
) {
  return createSelector(
    [needleSelector, resourceSelector, resourceList],
    (searchNeedle, resources, resourceList) => {
      return resourceList.filter(resourceId => {
        const resource = resources.get(resourceId)
        const fields = searchFields.map(field => resource.get(field, ''))
        return fields.some(field => field.indexOf(searchNeedle) !== -1)
      })
    }
  )
}
