// @flow
import React from 'react'
import { LoaderScreen } from 'components/Loader'

export default function createLoader (
  Component,
  LoaderComponent = LoaderScreen,
  { loadingKey = 'isLoading', passStatic = true } = {}
) {
  function Loader (props) {
    if (props[loadingKey]) {
      return <LoaderComponent {...props} />
    }
    return <Component {...props} />
  }
  if (passStatic) {
    Loader.navigationOptions = Component.navigationOptions
  }
  return Loader
}
