// @flow
import { API_URL } from '../config'
import {
  get as httpGet,
  post as httpPost,
  put as httpPut,
  patch as httpPatch,
  destroy as httpDestroy
} from './fetch'

export function get (url, queryParams, options) {
  return httpGet(`${API_URL}${url}`, options, queryParams)
}

export function post (url, body, options) {
  return httpPost(`${API_URL}${url}`, options, body)
}

export function put (url, body, options) {
  return httpPut(`${API_URL}${url}`, options, body)
}

export function patch (url, body, options) {
  return httpPatch(`${API_URL}${url}`, options, body)
}

export function destroy (url, options) {
  return httpDestroy(`${API_URL}${url}`, options)
}
